Bug 753818 - xenstored.service: control process exited, code=exited status=2
xenstored.service: control process exited, code=exited status=2
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 10:06 EST by Vedran Miletić
Modified: 2012-03-02 19:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-02 19:11:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vedran Miletić 2011-11-14 10:06:57 EST
[   24.994441] systemd[1]: xenstored.service: control process exited, code=exited status=2
[   25.001099] systemd[1]: Unit xenstored.service entered failed state.

I don't have anything in /var/log/xen.

I also get:

[   24.654142] grep[685]: /bin/grep: /proc/xen/capabilities: No such file or directory

not sure if it's related to this. Also not sure if it's relevant, this machine has support for HW-assisted virtualization:

# cat /proc/cpuinfo 
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 95
model name	: AMD Athlon(tm) 64 Processor 3000+
stepping	: 2
cpu MHz		: 1000.000
cache size	: 512 KB
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow up rep_good nopl extd_apicid pni cx16 lahf_lm svm extapic cr8_legacy
bogomips	: 2000.19
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc
Comment 1 Michael Young 2011-11-21 16:33:56 EST
Xenstored is only useful on a dom0 system which means that /proc/xen/capabilities should be present. Hence xenstored won't start if it isn't.

The most likely explanation why this is occurring is that you didn't boot your kernel via the hypervisor. The xen-hypervisor package should give you a boot item to use if you use grub2. See https://fedoraproject.org/wiki/Features/XenPvopsDom0 for how to do this if you have problems.
Comment 2 Michael Young 2012-03-02 19:11:14 EST
Xenstored is behaving correctly for the circumstances it finds itself in.

Note You need to log in before you can comment on or make changes to this bug.